import { Pipe, PipeTransform } from '@angular/core';
/*
 * Pipe für Zahl fester länger mit führenden Nullen
 * Anwendung:
 *   value | fixedLenNumber:Länge
 * Beispiel:
 *   {{ 2 |  fixedLenNumber:3}}
 *   Ausgabe: 002
*/
@Pipe({name: 'fixedLenNumber', pure: true})
export class FixedLenNumberPipe implements PipeTransform {
  transform(value: number, len: number): string {
        // console.log("FixedLenNumber: " + value)
        if (isNaN(value) || isNaN(len)) {
            return String(value);
        }
        var num : string = String(value);
        num = '' + num;
        while (num.length < len) { num = '0' + num;
                  }
        return num;
  }
}